MagickCore: log.h File Reference

# log.h File Reference

`#include <stdarg.h>`
`#include "magick/exception.h"`

Go to the source code of this file.

## Defines
#define | GetUnadornedModuleName() ("unknown")
#define | GetMagickModule() __FILE__,GetUnadornedModuleName(),(unsigned long) __LINE__
#define | MagickLogFilename "log.xml"
## Typedefs
typedef struct _LogInfo | LogInfo
## Enumerations
enum | LogEventType { UndefinedEvents, NoEvents = 0x0000, TraceEvent = 0x0001, AnnotateEvent = 0x0002, BlobEvent = 0x0004, CacheEvent = 0x0008, CoderEvent = 0x0010, ConfigureEvent = 0x0020, DeprecateEvent = 0x0040, DrawEvent = 0x0080, ExceptionEvent = 0x0100, LocaleEvent = 0x0200, ModuleEvent = 0x0400, ResourceEvent = 0x0800, TransformEvent = 0x1000, UserEvent = 0x2000, WandEvent = 0x4000, X11Event = 0x8000, AllEvents = 0x7fffffff }
## Functions
MagickExport char ** | GetLogList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const char * | GetLogName (void)
MagickExport const char ** | SetLogName (const char *)
MagickExport const LogInfo * | GetLogInfo (const char *, ExceptionInfo *)
MagickExport const LogInfo *** | GetLogInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport LogEventType | SetLogEventMask (const char *)
MagickExport MagickBooleanType | IsEventLogging (void)
MagickExport MagickBooleanType | ListLogInfo (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | LogMagickEvent (const LogEventType, const char *, const char *, const unsigned long, const char *,...) magick_attribute((format(printf
MagickExport MagickBooleanType | LogMagickEventList (const LogEventType, const char *, const char *, const unsigned long, const char *, va_list) magick_attribute((format(printf
MagickExport MagickBooleanType MagickExport void | CloseWizardLog (void)
MagickExport MagickBooleanType MagickExport void | DestroyLogList (void)
MagickExport MagickBooleanType MagickExport void | SetLogFormat (const char *)

## Define Documentation

#define GetMagickModule | ( |  | ) | __FILE__,GetUnadornedModuleName(),(unsigned long) __LINE__

#define GetUnadornedModuleName | ( |  | ) | ("unknown")

#define MagickLogFilename "log.xml"

## Typedef Documentation

typedef struct _LogInfo LogInfo

## Enumeration Type Documentation

enum LogEventType

Enumerator:

  UndefinedEvents |
  NoEvents |
  TraceEvent |
  AnnotateEvent |
  BlobEvent |
  CacheEvent |
  CoderEvent |
  ConfigureEvent |
  DeprecateEvent |
  DrawEvent |
  ExceptionEvent |
  LocaleEvent |
  ModuleEvent |
  ResourceEvent |
  TransformEvent |
  UserEvent |
  WandEvent |
  X11Event |
  AllEvents |

## Function Documentation

MagickExport MagickBooleanType MagickExport void CloseWizardLog | ( | void |  | ) |

MagickExport MagickBooleanType MagickExport void DestroyLogList | ( | void |  | ) |

MagickExport const LogInfo* GetLogInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const LogInfo* ** GetLogInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetLogList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* GetLogName | ( | void |  | ) |

MagickExport MagickBooleanType IsEventLogging | ( | void |  | ) |

MagickExport MagickBooleanType ListLogInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType LogMagickEvent | ( | const | LogEventType,
|  | const char * | ,
|  | const char * | ,
|  | const unsigned long | ,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

MagickExport MagickBooleanType LogMagickEventList | ( | const | LogEventType,
|  | const char * | ,
|  | const char * | ,
|  | const unsigned long | ,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

MagickExport LogEventType SetLogEventMask | ( | const char * |  | ) |

MagickExport MagickBooleanType MagickExport void SetLogFormat | ( | const char * |  | ) |

MagickExport const char* * SetLogName | ( | const char * |  | ) |